My Project: dgConvexHull4dTetraherum Class Reference

My Project

Classes | Public Member Functions | Public Attributes | Friends | List of all members
dgConvexHull4dTetraherum Class Reference

`#include <dgConvexHull4d.h>`

## Classes

class | dgTetrahedrumFace
class | dgTetrahedrumPlane

## Public Member Functions

| dgConvexHull4dTetraherum ()
dgTetrahedrumPlane | GetPlaneEquation (const dgHullVector *const points) const
dgFloat64 | Evalue (const dgHullVector *const pointArray, const dgBigVector &point) const
dgBigVector | CircumSphereCenter (const dgHullVector *const pointArray) const
dgInt32 | GetMark () const
void | SetMark (dgInt32 mark)

## Public Attributes

dgTetrahedrumFace | m_faces [4]
dgInt32 | m_mark
dgInt32 | m_uniqueID

## Friends

class | dgConvexHull4d
class | dgDelaunayTetrahedralization

## Constructor & Destructor Documentation

## § dgConvexHull4dTetraherum()

dgConvexHull4dTetraherum::dgConvexHull4dTetraherum | ( |  | ) |

## Member Function Documentation

## § CircumSphereCenter()

dgBigVector dgConvexHull4dTetraherum::CircumSphereCenter | ( | const dgHullVector *const | pointArray | ) | const

## § Evalue()

dgFloat64 dgConvexHull4dTetraherum::Evalue | ( | const dgHullVector *const | pointArray,
|  | const dgBigVector & | point
| ) |  | const

## § GetMark()

dgInt32 dgConvexHull4dTetraherum::GetMark | ( |  | ) | const

inline

## § GetPlaneEquation()

dgConvexHull4dTetraherum::dgTetrahedrumPlane dgConvexHull4dTetraherum::GetPlaneEquation | ( | const dgHullVector *const | points | ) | const

## § SetMark()

void dgConvexHull4dTetraherum::SetMark | ( | dgInt32 | mark | ) |

inline

## Friends And Related Function Documentation

## § dgConvexHull4d

friend class dgConvexHull4d

friend

## § dgDelaunayTetrahedralization

friend class dgDelaunayTetrahedralization

friend

## Member Data Documentation

## § m_faces

dgTetrahedrumFace dgConvexHull4dTetraherum::m_faces[4]

## § m_mark

dgInt32 dgConvexHull4dTetraherum::m_mark

## § m_uniqueID

dgInt32 dgConvexHull4dTetraherum::m_uniqueID

The documentation for this class was generated from the following files:

- dynamics.mod/NewtonDynamics/source/core/dgConvexHull4d.h
- dynamics.mod/NewtonDynamics/source/core/dgConvexHull4d.cpp